Package org.jfree.layouting

## Class LibLayoutBoot

- java.lang.Object
- - org.pentaho.reporting.libraries.base.boot.AbstractBoot
  - - org.jfree.layouting.LibLayoutBoot

-     public class LibLayoutBoot
      extends org.pentaho.reporting.libraries.base.boot.AbstractBoot

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static LibLayoutBoot` | `getInstance​()` |
    `protected org.pentaho.reporting.libraries.base.versioning.ProjectInformation` | `getProjectInfo​()` | Returns the project info.
    `static boolean` | `isAsserationEnabled​()` |
    `protected org.pentaho.reporting.libraries.base.config.Configuration` | `loadConfiguration​()` | Loads the configuration.
    `static void` | `main​(java.lang.String[] args)` |
    `protected void` | `performBoot​()` | Performs the boot.

    - ### Methods inherited from class org.pentaho.reporting.libraries.base.boot.AbstractBoot

      `createDefaultHierarchicalConfiguration, getBootFailureReason, getExtendedConfig, getGlobalConfig, getPackageManager, isBootDone, isBootFailed, isBootInProgress, loadBooter, loadBooter, start`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static LibLayoutBoot getInstance​()

    - #### getProjectInfo

          protected org.pentaho.reporting.libraries.base.versioning.ProjectInformation getProjectInfo​()

      Returns the project info.
      Specified by:
        `getProjectInfo` in class `org.pentaho.reporting.libraries.base.boot.AbstractBoot`
      Returns:
        The project info.

    - #### loadConfiguration

          protected org.pentaho.reporting.libraries.base.config.Configuration loadConfiguration​()

      Loads the configuration.
      Specified by:
        `loadConfiguration` in class `org.pentaho.reporting.libraries.base.boot.AbstractBoot`
      Returns:
        The configuration.

    - #### performBoot

          protected void performBoot​()

      Performs the boot.
      Specified by:
        `performBoot` in class `org.pentaho.reporting.libraries.base.boot.AbstractBoot`

    - #### main

          public static void main​(java.lang.String[] args)

    - #### isAsserationEnabled

          public static boolean isAsserationEnabled​()